[arch-commits] CVS update of extra/multimedia-plugins/gstreamer0.10-gconf (2 files)

Jan de Groot jgc at archlinux.org
Sun Apr 22 12:46:24 EDT 2007


    Date: Sunday, April 22, 2007 @ 12:46:24
  Author: jgc
    Path: /home/cvs-extra/extra/multimedia-plugins/gstreamer0.10-gconf

Modified: PKGBUILD (1.7 -> 1.8) gstreamer0.10-gconf.install (1.1 -> 1.2)

upgpkg: gstreamer0.10-gconf 0.10.5-2
Build with /usr gnome


-----------------------------+
 PKGBUILD                    |    9 ++++-----
 gstreamer0.10-gconf.install |   12 +++++++-----
 2 files changed, 11 insertions(+), 10 deletions(-)


Index: extra/multimedia-plugins/gstreamer0.10-gconf/PKGBUILD
diff -u extra/multimedia-plugins/gstreamer0.10-gconf/PKGBUILD:1.7 extra/multimedia-plugins/gstreamer0.10-gconf/PKGBUILD:1.8
--- extra/multimedia-plugins/gstreamer0.10-gconf/PKGBUILD:1.7	Tue Dec 26 13:42:15 2006
+++ extra/multimedia-plugins/gstreamer0.10-gconf/PKGBUILD	Sun Apr 22 12:46:24 2007
@@ -1,9 +1,9 @@
-# $Id: PKGBUILD,v 1.7 2006/12/26 18:42:15 jgc Exp $
+# $Id: PKGBUILD,v 1.8 2007/04/22 16:46:24 jgc Exp $
 # Maintainer: Jan de Groot <jgc at archlinux.org>
 
 pkgname=gstreamer0.10-gconf
 pkgver=0.10.5
-pkgrel=1
+pkgrel=2
 pkgdesc="GStreamer GConf plugin"
 arch=(i686 x86_64)
 depends=('gstreamer0.10-good' 'gconf>=2.16.0')
@@ -17,12 +17,11 @@
 md5sums=('c45fc9ace9feb4d3df32da0a6d262d84' 'd37c6222a0d00c22efccd25f9bf8c433')
 
 build() {
-  [ -z "${GNOMEDIR}" ] && . /etc/profile.d/gnome.sh
   cd ${startdir}/src/${_relname}-${pkgver}
   plugins="gconf"
   . ${startdir}/src/goodconf
   rm -f ${startdir}/pkg/usr/lib/gstreamer-0.10/*.{,l}a
 
-  mkdir -p ${startdir}/pkg/opt/gnome/share/gconf/schemas || return 1
-  gconf-merge-schema ${startdir}/pkg/opt/gnome/share/gconf/schemas/${pkgname}.schemas ${startdir}/src/${_relname}-${pkgver}/gconf/*.schemas
+  mkdir -p ${startdir}/pkg/usr/share/gconf/schemas || return 1
+  gconf-merge-schema ${startdir}/pkg/usr/share/gconf/schemas/${pkgname}.schemas ${startdir}/src/${_relname}-${pkgver}/gconf/*.schemas
 }
Index: extra/multimedia-plugins/gstreamer0.10-gconf/gstreamer0.10-gconf.install
diff -u extra/multimedia-plugins/gstreamer0.10-gconf/gstreamer0.10-gconf.install:1.1 extra/multimedia-plugins/gstreamer0.10-gconf/gstreamer0.10-gconf.install:1.2
--- extra/multimedia-plugins/gstreamer0.10-gconf/gstreamer0.10-gconf.install:1.1	Sat Mar 25 11:02:38 2006
+++ extra/multimedia-plugins/gstreamer0.10-gconf/gstreamer0.10-gconf.install	Sun Apr 22 12:46:24 2007
@@ -1,8 +1,8 @@
 pkgname=gstreamer0.10-gconf
 
 post_install() {
-  GCONF_CONFIG_SOURCE=`opt/gnome/bin/gconftool-2 --get-default-source` \
-    opt/gnome/bin/gconftool-2 --makefile-install-rule opt/gnome/share/gconf/schemas/${pkgname}.schemas >/dev/null
+  GCONF_CONFIG_SOURCE=`usr/bin/gconftool-2 --get-default-source` \
+    usr/bin/gconftool-2 --makefile-install-rule usr/share/gconf/schemas/${pkgname}.schemas >/dev/null
 }
 
 pre_upgrade() {
@@ -14,14 +14,16 @@
 }
 
 pre_remove() {
-  if [ -f opt/gnome/share/gconf/schemas/${pkgname}.schemas ]; then
+  if [ -f usr/share/gconf/schemas/${pkgname}.schemas ]; then
+    schemas=(usr/share/gconf/schemas/${pkgname}.schemas)
+  elif [ -f opt/gnome/share/gconf/schemas/${pkgname}.schemas ]; then
     schemas=(opt/gnome/share/gconf/schemas/${pkgname}.schemas)
   else
     schemas=(`pacman -Ql $pkgname | grep 'gconf/schemas/.*schemas$' | awk '{ print $2 }'`)
   fi
 
-  GCONF_CONFIG_SOURCE=`opt/gnome/bin/gconftool-2 --get-default-source` \
-    opt/gnome/bin/gconftool-2 --makefile-uninstall-rule ${schemas[@]} >/dev/null
+  GCONF_CONFIG_SOURCE=`usr/bin/gconftool-2 --get-default-source` \
+    usr/bin/gconftool-2 --makefile-uninstall-rule ${schemas[@]} >/dev/null
 }
 
 op=$1




More information about the arch-commits mailing list